%define modn   modsecurity2
%define modv   2.5.12
%define modl   mod_security2
%define mods   ModSecurity
%define httpv  %(rpm -q httpd-devel --qf '%{VERSION}')


Summary:       A web application firewall for the Apache HTTP server
Name:          mod_security2
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Daemons
Source0:       http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
Source1:       %{modn}-minimal.conf
Source2:       %{modn}.conf
Patch0:        %{modn}-2.5.10-build.patch
URL:           http://www.modsecurity.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ivan Ristic <ivanr@webkreator.com>
Provides:      httpd-mod(%{mods}) = %{modv}
Provides:      %{modn} = %{modv}
Requires:      httpd = %{httpv}
BuildRequires: db4-devel expat-devel httpd-devel
BuildRequires: liblua-devel libxml2-devel pcre-devel
BuildRequires: libtool


%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from both known and
unknown attacks.


%prep
%setup -q -n modsecurity-apache_%{version}
%patch0 -p1

# Prepare config
%{__cp} -f %{SOURCE2}  security2.conf
%{__cat} %{SOURCE1} >> security2.conf


%build
pushd apache2
%configure \
	CPPFLAGS="-DWITH_PCRE_STUDY"

%{__make} %{?_smp_mflags}
popd


%check
pushd apache2
%{__make} test
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/rules

%{__install} -m 0755 apache2/.libs/%{modl}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__install} -m 0644 security2.conf           ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d

%{__install} -m 0644 tools/rules-updater.pl   ${RPM_BUILD_ROOT}%{_datadir}/%{modn}
%{__install} -m 0644 tools/rules-updater-example.conf ${RPM_BUILD_ROOT}%{_datadir}/%{modn}

%{__cp}      -rpd    rules/*                  ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/rules


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE MODSEC* README.TXT
%doc %dir doc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/security2.conf
%{_libdir}/httpd/modules/%{modl}.so
%{_datadir}/%{modn}


%changelog
* Wed Feb 17 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.12-1
- New version (2.5.12)

* Mon Nov 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.11-1
- New version (2.5.11)

* Fri Oct 02 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.10-1
- New version (2.5.10)

* Sun Mar 15 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.9-1
- New version (2.5.9)

* Sat Oct 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.7-1
- New version (2.5.7)

* Mon Aug 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.6-1
- New version (2.5.6)

* Mon Apr 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.2-1
- Upgrade version (2.5.2)

* Sat Jan 19 2008 peter.pramberger@member.fsf.org 2.1.5-3
- new version (2.1.5)
- removed httpd release dependency

* Tue Dec 18 2007 peter.pramberger@member.fsf.org 2.1.4_2.0.52.38.ent.centos4-3
- new httpd version (2.0.52-38.ent.centos4)

* Sat Dec 15 2007 peter.pramberger@member.fsf.org 2.1.4_2.0.52.32.3.ent.centos4-3
- new version (2.1.4)

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 2.1.3_2.0.52.32.3.ent.centos4-3
- new version (2.1.3)

* Mon Jul 16 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.3.ent.centos4-3
- new httpd version (2.0.52-32.3.ent.centos4)

* Thu Jun 28 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.2.ent.centos4-3
- new httpd version (2.0.52-32.2.ent.centos4)

* Mon May 21 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.ent.centos4-3
- new httpd version (2.0.52-32.ent.centos4)
- new version (2.1.1)

* Fri Feb 16 2007 peter.pramberger@member.fsf.org 2.0.4_2.0.52.28.ent.centos4-3
- created
